Debian Bug report logs - #78195
Man2html memory consumption over 400 Megs.

version graph

Package: man2html; Maintainer for man2html is Robert Luberda <robert@debian.org>; Source for man2html is src:man2html.

Reported by: Philippe Troin <phil@fifi.org>

Date: Tue, 28 Nov 2000 05:18:12 UTC

Severity: important

Tags: fixed, potato

Merged with 83473

Found in version 1.5-21

Fixed in versions man2html/1.5-22, man2html/1.5-25

Done: Robert Luberda <robert@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Nicol�s Lichtmaier <nick@debian.org>:
Bug#78195; Package man2html. Full text and rfc822 format available.

Acknowledgement sent to Philippe Troin <phil@fifi.org>:
New Bug report received and forwarded. Copy sent to Nicol�s Lichtmaier <nick@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Philippe Troin <phil@fifi.org>
To: submit@bugs.debian.org
Subject: Man2html memory consumption over 400 Megs.
Date: 27 Nov 2000 21:05:52 -0800
Package: man2html
Version: 1.5-21
Severity: critical

When asked to display some manpages (eg terminfo(5)), man2html starts
to eat up memory and never completes the manpage rendering... The
kernel eventually kills the process.

I've assigned a critical severity since this can be used as a DOS
attack on servers running man2html in the default configuration.

Phil.



Reply sent to Nicol�s Lichtmaier <nick@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Philippe Troin <phil@fifi.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #10 received at 78195-close@bugs.debian.org (full text, mbox):

From: Nicolás Lichtmaier <nick@debian.org>
To: 78195-close@bugs.debian.org
Subject: Bug#78195: fixed in man2html 1.5-22
Date: Mon, 04 Dec 2000 14:54:01 -0500
We believe that the bug you reported is fixed in the latest version of
man2html, which has been installed in the Debian FTP archive:
man2html_1.5-22_i386.deb
  to dists/woody/main/binary-i386/doc/man2html_1.5-22.deb
  replacing man2html_1.5-21.deb
man2html_1.5-22.diff.gz
  to dists/woody/main/source/doc/man2html_1.5-22.diff.gz
  replacing man2html_1.5-21.diff.gz
man2html_1.5-22.dsc
  to dists/woody/main/source/doc/man2html_1.5-22.dsc
  replacing man2html_1.5-21.dsc

Note that this package is not part of the released stable Debian
distribution.  It may have dependencies on other unreleased software,
or other instabilities.  Please take care if you wish to install it.
The update will eventually make its way into the next released Debian
distribution.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 78195@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Nicolás Lichtmaier <nick@debian.org> (supplier of updated man2html package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----

Format: 1.7
Date: Sun,  3 Dec 2000 23:20:29 -0300
Source: man2html
Binary: man2html
Architecture: source i386
Version: 1.5-22
Distribution: unstable
Urgency: medium
Maintainer: Nicolás Lichtmaier <nick@debian.org>
Changed-By: Nicolás Lichtmaier <nick@debian.org>
Description: 
 man2html   - Turns a web-browser and an httpd-server into a man pager.
Closes: 28024 78195
Changes: 
 man2html (1.5-22) unstable; urgency=medium
 .
   * Was taking all available memory with an endless loop, fixed
     with indication from Stephan Kulow <coolo@kde.org>
     (closes:Bug#28024,Bug#78195).
   * Downgraded dependency on httpd to a recommendation. This program may
     also be used as a standalone HTML converter. In the future, a link
     to /usr/bin and modifications for handling the non-CGI case should
     be made.
   * Marked /etc/cron.weekly/man2html as a conffile.
Files: 
 91866f15100a93eca6bdeea75cea688c 678 doc optional man2html_1.5-22.dsc
 b09025003c06fec3acac903333d4cb43 22396 doc optional man2html_1.5-22.diff.gz
 26284e7f5d74411c6ce5cef32c4ff17e 54632 doc optional man2html_1.5-22_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.0.4 (GNU/Linux)
Comment: For info see http://www.gnupg.org

iQCVAwUBOisA4csW/Uuk2wLtAQFPPAQAsq1npvjcRUJOMvEyYKzN4NvW0DmVtFCb
CmMTOoK26fZ846apjDT8yT7ZcOQvh7pkXRzngVVMjqctyg4yTkkrCpIVRisecSKs
y3HVALUXaF2q21kiUD/tPuuyp8yA6RGyk7h59kO6p9RM5thnDJ0h954P2GVSm3cS
mXyj9eoM0A4=
=l347
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Nicol�s Lichtmaier <nick@debian.org>:
Bug#78195; Package man2html. Full text and rfc822 format available.

Acknowledgement sent to 78195@bugs.debian.org, phil@fifi.org:
Extra info received and forwarded to list. Copy sent to Nicol�s Lichtmaier <nick@debian.org>. Full text and rfc822 format available.

Message #15 received at 78195@bugs.debian.org (full text, mbox):

From: Philippe Troin <phil@fifi.org>
To: 78195@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#78195: fixed in man2html 1.5-22
Date: 05 Dec 2000 12:19:41 -0800
reopen 78195
thanks

owner@bugs.debian.org (Debian Bug Tracking System) writes:

> This is an automatic notification regarding your Bug report
> #78195: Man2html memory consumption over 400 Megs.,
> which was filed against the man2html package.

8< snip >8

> Changes: 
>  man2html (1.5-22) unstable; urgency=medium

8< snip >8

This should also go into potato as this can be used as a DOS attack
against a server running public man2html pages.

Thanks,
Phil.



Bug reopened, originator not changed. Request was from Philippe Troin <phil@fifi.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Nicol�s Lichtmaier <nick@debian.org>:
Bug#78195; Package man2html. Full text and rfc822 format available.

Acknowledgement sent to owner@bugs.debian.org (Debian Bug Tracking System):
Extra info received and forwarded to list. Copy sent to Nicol�s Lichtmaier <nick@debian.org>. Full text and rfc822 format available.

Message #22 received at 78195@bugs.debian.org (full text, mbox):

From: owner@bugs.debian.org (Debian Bug Tracking System)
To: 78195@bugs.debian.org, phil@fifi.org
Subject: Bug#78195: Info received (was Bug#78195: fixed in man2html 1.5-22)
Date: Tue, 05 Dec 2000 14:35:56 -0600
Thank you for the additional information you have supplied regarding
this problem report.  It has been forwarded to the developer(s) and
to the developers mailing list to accompany the original report.

Your message has been sent to the package maintainer(s):
 Nicolás Lichtmaier <nick@debian.org>

If you wish to continue to submit further information on your problem,
please send it to 78195@bugs.debian.org, as before.

Please do not reply to the address at the top of this message,
unless you wish to report a problem with the Bug-tracking system.

Darren Benham
(administrator, Debian Bugs database)



Information forwarded to debian-bugs-dist@lists.debian.org, Nicol�s Lichtmaier <nick@debian.org>:
Bug#78195; Package man2html. Full text and rfc822 format available.

Acknowledgement sent to owner@bugs.debian.org (Debian Bug Tracking System):
Extra info received and forwarded to list. Copy sent to Nicol�s Lichtmaier <nick@debian.org>. Full text and rfc822 format available.

Message #27 received at 78195@bugs.debian.org (full text, mbox):

From: owner@bugs.debian.org (Debian Bug Tracking System)
To: 78195@bugs.debian.org, phil@fifi.org
Cc: Nicolás Lichtmaier <nick@debian.org> (man2html #78195)
Subject: Processed: Re: Bug#78195: fixed in man2html 1.5-22
Date: Tue, 05 Dec 2000 14:36:48 -0600
Processing commands for control@bugs.debian.org:

> reopen 78195
Bug#78195: Man2html memory consumption over 400 Megs.
Bug reopened, originator not changed.

> thanks
Stopping processing here.

Please contact me if you need assistance.

Darren Benham
(administrator, Debian Bugs database)




Information forwarded to debian-bugs-dist@lists.debian.org, Nicol�s Lichtmaier <nick@debian.org>:
Bug#78195; Package man2html. Full text and rfc822 format available.

Acknowledgement sent to Nicolás Lichtmaier <nick@debian.org>:
Extra info received and forwarded to list. Copy sent to Nicol�s Lichtmaier <nick@debian.org>. Full text and rfc822 format available.

Message #32 received at 78195@bugs.debian.org (full text, mbox):

From: Nicolás Lichtmaier <nick@debian.org>
To: 78195@bugs.debian.org, phil@fifi.org
Subject: Re: Bug#78195: fixed in man2html 1.5-22
Date: Thu, 7 Dec 2000 20:18:29 -0300
> This should also go into potato as this can be used as a DOS attack
> against a server running public man2html pages.

 You are right. I'm uploading it now.



Information forwarded to debian-bugs-dist@lists.debian.org, Nicol�s Lichtmaier <nick@debian.org>:
Bug#78195; Package man2html. Full text and rfc822 format available.

Acknowledgement sent to William Ono <wmono@debian.org>:
Extra info received and forwarded to list. Copy sent to Nicol�s Lichtmaier <nick@debian.org>. Full text and rfc822 format available.

Message #37 received at 78195@bugs.debian.org (full text, mbox):

From: William Ono <wmono@debian.org>
To: 78195@bugs.debian.org
Subject: man2html still needs potato upload
Date: Fri, 23 Feb 2001 14:26:56 -0800
Hi Nicolas,

I downgraded this bug and tagged it potato since the bug itself was
apparently preventing the fix from being installed to woody.

Since I fiddled with this bug, I just wanted to remind you that the last
entry in the log said you wanted to do a potato upload.  I didn't check
whether it's queued for installation to potato, but I don't think it's
there at the moment.

Thanks.

-- 
William Ono <wmono@debian.org>
PGP 2048R/93BA6AFD E3 64 C5 43 3E B3 2D A6    C6 D7 E3 45 90 24 78 DE



Tags added: potato Request was from William Ono <wmono@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Severity set to `important'. Request was from William Ono <wmono@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: fixed Request was from "Robert Luberda" <robert@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Merged 78195 83473. Request was from "Robert Luberda" <robert@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Robert Luberda <robert@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Philippe Troin <phil@fifi.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #50 received at 78195-close@bugs.debian.org (full text, mbox):

From: Robert Luberda <robert@debian.org>
To: 78195-close@bugs.debian.org
Subject: Bug#78195: fixed in man2html 1.5-25
Date: Tue, 14 Jan 2003 07:18:02 -0500
We believe that the bug you reported is fixed in the latest version of
man2html, which is due to be installed in the Debian FTP archive:

man2html_1.5-25.diff.gz
  to pool/main/m/man2html/man2html_1.5-25.diff.gz
man2html_1.5-25.dsc
  to pool/main/m/man2html/man2html_1.5-25.dsc
man2html_1.5-25_i386.deb
  to pool/main/m/man2html/man2html_1.5-25_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 78195@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Robert Luberda <robert@debian.org> (supplier of updated man2html package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Mon, 13 Jan 2003 22:42:46 +0100
Source: man2html
Binary: man2html
Architecture: source i386
Version: 1.5-25
Distribution: unstable
Urgency: low
Maintainer: Robert Luberda <robert@debian.org>
Changed-By: Robert Luberda <robert@debian.org>
Description: 
 man2html   - Turns a web-browser and an httpd-server into a man pager
Closes: 22890 29394 31186 36266 42788 49220 56095 78195 97087 97559 104474 105108 112655 125107 129680 140672 144906 159592 170662
Changes: 
 man2html (1.5-25) unstable; urgency=low
 .
   * Moved debian/{mansearch.html.swish++,mansearch.swish++} back to
     dist/{mansearch.html,mansearch}. Also moved debian/swish++.conf
     to dist/.
   * Added file utils.c, with querystrign2argv(), urldecode(), urlencode()
     functions.
 .
   * mansearch:
     + if called without arguments, check QUERY_STRING environment variable
     + added urldecode() function
     + now we use non-awk-standard strtonum(), so switch to gawk:
       - this, according to bug submitter, also closes: #49220.
       - debian/control: added gawk dependancy
     + really fix `invalid range end' gawk error
     + fix broken regular expression.
 .
   * man2html.c:
     + call querystring2argv().
     + while parsing .TH lines, all `"' were changed to `\a' and those `\a' was
       outputed into html. Remove all those `\a'.
     + change `file:/path/to/file' references into `file:///path/to/file', so
       they are undesrtood by links now.
 .
   * manwhatis.c:
     + call querystring2argv().
     + do better parse of `whatis' output (closes: #144906). All generated
       links should be valid now, but if you find in index any manpage, which
       you think shouldn't be there, please check output of `whatis' command
       and than file a bug against package which contains the manpage (or
       against man-db, if you think it's whatis bug)
     + call urlencode() on generated links
     + html-encode '<', '&', '>' on output
     + add missing html tags, like <html>, <head> etc.
     + free allocated memory.
 .
   * Now, with the above changes, we can drop using of <ISINDEX> tag, which
     is deprecated, and not supported for example by links and opera. We can
     use <FORM> instead (closes: #170662).
 .
   * Don't install mansearchhelp.html, it's not used after switching to swish++
     (closes: #22890).
   * Makefile: add support for DEB_BUILD_OPTIONS.
   * debian/cron.daily: add support for /usr/local/share/man (closes: #56095).
   * debian/postinst: remove indexes on upgrade from earlier versions.
   * Remove emacs settings from the bottom of this changelog.
   * Bump Standards-Version to 3.5.8.
 .
   * Close bugs fixed in previous NMUs:
     + relative links bug: closes: #104474, #29394, #112655
     + memory consumption bug: closes: #78195, #42788
     + mansec seqfaults: closes: #36266
     + doc-base/menu support: closes: #159592, #31186
     + other: closes: #140672, #125107, #97087, #105108, #97559, #129680.
Files: 
 5604c1c5450e6388ee20dfcc24928546 560 doc optional man2html_1.5-25.dsc
 af832ff87dbfea66239afbbed452aa4a 28988 doc optional man2html_1.5-25.diff.gz
 44ae3db308d1bb1d7020fd4675d522fe 79950 doc optional man2html_1.5-25_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.1 (GNU/Linux)

iD8DBQE+IzUNThh1cJ0wnDsRAmJzAKCKwrJfuMTXHoc5P9dqwfuPmnqexACcCgYw
FRFTcxzShOZCnm7BD/iO7B4=
=LbYS
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 20:36:22 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.